#!/usr/bin/env python3
#
# Import script of CAPEC references.
#
# Imported in cvedb in the collection named capec.
#
# Software is free software released under the "GNU Affero General Public License v3.0"
#
# Copyright (c) 2016-2018  Pieter-Jan Moreels - pieterjan.moreels@gmail.com
import argparse
import os
import sys

from CveXplore import CveXplore

runPath = os.path.dirname(os.path.realpath(__file__))
sys.path.append(os.path.join(runPath, ".."))

argparser = argparse.ArgumentParser(
    description="populate/update the local CAPEC database"
)
argparser.add_argument("-u", action="store_true", help="update the database")
argparser.add_argument("-p", action="store_true", help="populate the database")
argparser.add_argument(
    "-f",
    action="store_true",
    default=False,
    help="force repopulating of the CPE database",
)
args = argparser.parse_args()

if __name__ == "__main__":
    cvex = CveXplore()

    if args.u:
        cvex.database.update("capec")

    elif args.p or args.f:
        cvex.database.populate("capec")

    else:
        argparser.print_help()
